Subject: Re: linux-next: manual merge of the wireless-next tree with Linus' tree

From: Greg Kroah-Hartman <[email-masked]>
Date: Wed, 9 Oct 2024 09:13:17 +0200

On Wed, Oct 09, 2024 at 08:51:22AM +0200, Johannes Berg wrote:
> On Wed, 2024-10-09 at 08:43 +0200, Greg Kroah-Hartman wrote:
> > 
> > Johannes, any objection if I just pull in your wireless-next tree into
> > my staging-next branch so that we don't get these issues going forward?
> > 
> > It's not going to be rebased, right?
> > 
> 
> It's not.
> 
> However, Stephen also reported a build failure that you don't want to
> pull in, so you can either
> 
>  * pull in commit 836265d31631 ("wifi: remove iw_public_data from struct
>    net_device") from before the build failure,
> 
>  * pull in commit 4991d2e7ad38 ("staging: don't recommend using
>    lib80211") which is really all you care about (both staging
>    patches I had are included at that point), or
> 
>  * give me an hour or so to revert commit aee809aaa2d1 ("wifi: cfg80211:
>    unexport wireless_nlevent_flush()") which caused a build failure.
> 
> 
> But if the conflict is to Linus's tree, is that even going to help?
> Seems like I should pull in -rc2 and solve this one and the ks7010 one
> that way? Just need to check with net-next?

I'm not worried about the conflict with Linus's tree, sorry, I now see
that that's what was being reported here also.  I just want to get your
staging driver changes, so I'll pull in up to commit 4991d2e7ad38, which
is all I really care about :)

thanks,

greg k-h